ghc-7.0.3: The GHC API

StaticFlags

# Documentation

staticFlags :: [String]

initStaticOpts :: IO ()

data WayName

Constructors

WayThreaded |
WayDebug |
WayProf |
WayEventLog |
WayPar |
WayGran |
WayNDP |
WayDyn |

Instances

Eq WayName |
Ord WayName |

data Way

Constructors

Way |

Fields

wayName :: WayName
wayTag :: String
wayRTSOnly :: Bool
wayDesc :: String
wayOpts :: [String]

v_Ways :: IORef [Way]

isRTSWay :: WayName -> Bool

mkBuildTag :: [Way] -> String

opt_PprUserLength :: Int

opt_SuppressUniques :: Bool

opt_SuppressCoercions :: Bool

opt_SuppressModulePrefixes :: Bool

opt_PprStyle_Debug :: Bool

opt_TraceLevel :: Int

opt_NoDebugOutput :: Bool

opt_SccProfilingOn :: Bool

opt_Hpc :: Bool

opt_DictsStrict :: Bool

opt_IrrefutableTuples :: Bool

opt_Parallel :: Bool

opt_DsMultiTyVar :: Bool

opt_NoStateHack :: Bool

opt_SimpleListLiterals :: Bool

opt_CprOff :: Bool

opt_SimplNoPreInlining :: Bool

opt_SimplExcessPrecision :: Bool

opt_MaxWorkerArgs :: Int

opt_UF_CreationThreshold :: Int

opt_UF_UseThreshold :: Int

opt_UF_FunAppDiscount :: Int

opt_UF_DictDiscount :: Int

opt_UF_KeenessFactor :: Float

opt_UF_DearOp :: Int

opt_Fuel :: Int

opt_PIC :: Bool

opt_Static :: Bool

opt_IgnoreDotGhci :: Bool

opt_ErrorSpans :: Bool

opt_GranMacros :: Bool

opt_HiVersion :: Integer

opt_HistorySize :: Int

opt_OmitBlackHoling :: Bool

opt_Unregisterised :: Bool

v_Ld_inputs :: IORef [String]

tablesNextToCode :: Bool

opt_StubDeadValues :: Bool

opt_Ticky :: Bool

addOpt :: String -> IO ()

removeOpt :: String -> IO ()

addWay :: WayName -> IO ()

getWayFlags :: IO [String]

v_opt_C_ready :: IORef Bool